# Contributing to node-async-handler

Thank you for considering contributing to node-async-handler! We welcome your input and appreciate your efforts to make this middleware even better.

## How to Contribute

1. Fork the Repository:
Fork the repository to your GitHub account and clone it to your local machine.

2. Install Dependencies:
Run npm install to install the necessary dependencies.

3. Make Changes:
Implement your changes or add new features. Ensure that your code follows the project's coding standards.

4. Test Your Changes:
Run the existing tests or add new tests to verify that your changes work as expected.

5. Submit a Pull Request:
Once you are satisfied with your changes, submit a pull request to the main repository. Clearly describe the purpose of your pull request and any notable changes.

## Code Style Guidelines

Please adhere to the following code style guidelines:

- Use consistent indentation (preferably 2 or 4 spaces).
- Follow the existing naming conventions.
- Keep your code concise and readable.

## Reporting Issues

If you encounter any issues or have suggestions for improvements, please open an issue on the GitHub repository. Clearly describe the problem or enhancement, including any relevant details.

> **Note** : In case you didn't follow all things listed in this file, your issue or pull request will be reject immediately.

## License

By contributing to node-async-handler, you agree that your contributions will be licensed under the MIT License. Please refer to the [LICENSE](https://github.com/pacifiquem/node-async-handler/blob/main/LICENSE) file for details.
