"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function asyncHandler(fn, options = {}) {
    return function asyncHandlerWrapper(req, res, next) {
        return Promise.resolve(fn(req, res, next)).catch((error) => {
            if (options.logError) {
                console.error('Error:', error);
            }
            next(error);
        });
    };
}
exports.default = asyncHandler;
